import React from "react"
import BasementC from './images/BasementC.svg';
import FirstFloorC from './images/FirstFloorC.svg'
import SecondFloorC from './images/SecondFloorC.svg'
import ThirdFloorC from './images/ThirdFloorC.svg'
import FourthFloorC from './images/FourthFloorC.svg'
import FifthFloorC from './images/FifthFloorC.svg'

export const IndoorFloor: React.FC<{floorNum: number}> = ({floorNum}) => {
    const compArray = [
        <BasementC style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
        <FirstFloorC style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
        <SecondFloorC style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
        <ThirdFloorC viewBox='250 136 310 310' style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
        <FourthFloorC viewBox='260 151 270 260' style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
        <FifthFloorC viewBox='257 153 270 290' style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
    ]

    return compArray[floorNum]
}